Sun GlassFish(tm) Message Queue v4.4

## com.sun.messaging.jms.management.server
Class LogLevel

    java.lang.Object
      com.sun.messaging.jms.management.server.LogLevel

    public class LogLevel

extends Object

Class containing information on log levels

Field Summary
`static String` `ERROR` Log level that will allow messages indicating problems that could cause system failure to be logged.
`static String` `INFO` Log level that will allow reporting of metrics and other informational messages to be logged.
`static String` `NONE` Turn off logging.
`static String` `UNKNOWN` Unknown log level
`static String` `WARNING` Log level that will allow alerts that should be heeded (but will not cause system failure) to be logged.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final String UNKNOWN

  Unknown log level

  See Also:
    Constant Field Values

### ERROR

    public static final String ERROR

  Log level that will allow messages indicating problems that could cause system failure to be logged.

  See Also:
    Constant Field Values

### WARNING

    public static final String WARNING

  Log level that will allow alerts that should be heeded (but will not cause system failure) to be logged.

  See Also:
    Constant Field Values

### INFO

    public static final String INFO

  Log level that will allow reporting of metrics and other informational messages to be logged.

  See Also:
    Constant Field Values

### NONE

    public static final String NONE

  Turn off logging.

  See Also:
    Constant Field Values

Sun GlassFish(tm) Message Queue v4.4

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.